Loading...
Searching...
No Matches
msg_auth_s Struct Reference

Authentication header. More...

`#include <msg_types.h>`

Collaboration diagram for msg_auth_s:
[legend]

## Data Fields

msg_common_t | au_common [1]
| Common fragment info.
msg_auth_t * | au_next
| Link to next header.
char const * | au_scheme
| Auth-scheme like Basic or Digest.
msg_param_t const * | au_params
| Comma-separated parameters.

## Detailed Description

Authentication header.

An authentication header has authentication scheme name and comma-separated list of parameters as its value.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.